> For the complete documentation index, see [llms.txt](https://docs.chatbees.ai/chatbees/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chatbees.ai/chatbees/api-references/document-operations/get-document-outlines-and-faqs.md).

# Get Document Outlines and FAQs

After a document is uploaded, you can get the outlines and FAQs of the document. `get_document_outline_faq()` method returns the outlines and FAQs of the document in JSON format.

{% tabs %}
{% tab title="HTTP" %}

```
POST /docs/get_outline_faq HTTP/1.1
Api-Key: my_api_key
Content-Type: application/json
Host: my_account_id.us-west-2.aws.chatbees.ai

{
  "namespace_name": "string",
  "collection_name": "string",
  "doc_name": "string"
}

Response:
{
  "outlines": ["outline1", "outline2", ...],
  "faqs": [
    {"question1": "answer1"},
    ...
  ]
}

```

{% endtab %}

{% tab title="Python" %}

```
import chatbees as cb

# Configure API key
cb.init(api_key="my_api_key", account_id="my_account_id")

resp = cb.collection('llm_research').get_document_outline_faq('file.pdf')
print(resp.outlines)
print(resp.faqs)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chatbees.ai/chatbees/api-references/document-operations/get-document-outlines-and-faqs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
